Bug 447096

Summary: Opening animation inconsistencies
Product: [Plasma] krunner Reporter: afedotov861
Component: generalAssignee: Alexander Lohnau <alexander.lohnau>
Status: RESOLVED FIXED    
Severity: minor CC: nate, perso, plasma-bugs
Priority: NOR    
Version: 5.24.0   
Target Milestone: ---   
Platform: Archlinux   
OS: Linux   
Latest Commit: Version Fixed In: 5.24.7

Description afedotov861 2021-12-16 22:23:13 UTC
After a login, the first time Krunner is opened, the opening animation makes it move towards the top edge of the screen from nearby by moving upwards. The closing animation similarly has Krunner move down, away from the top edge. Any subsequent opening and closing of Krunner has it appear and disappear by moving up and down _from_ the top edge of the screen, like I imagine it is meant to.

STEPS TO REPRODUCE
1. Start a new plasma session
2. Open and close krunner (appears and disappears from below the top edge of the screen)
3. Open and close krunner again (appears and disappears from the top edge of the screen)

EXPECTED RESULT
I imagine Krunner was meant to open and close from the top edge of the screen always, like what happens on the second and subsequent times it is opened currently

SOFTWARE/OS VERSIONS
Linux: 5.15.8-arch1-1
(available in About System)
KDE Plasma Version: 5.23.4
KDE Frameworks Version: 5.89.0
Qt Version: 5.15.2
X11
Comment 1 Nate Graham 2021-12-17 19:29:25 UTC
I was experiencing this a while back but I'm pretty sure I recall it being fixed in Plasma 5.24, and it is working for me in the git master version which will become Plasma 5.24 in a few months. Please re-open this bug report if it's still broken for you once that Plasma version is released and you've upgraded to it. Thanks!
Comment 2 afedotov861 2021-12-18 02:58:29 UTC
Cool, thanks!
Comment 3 afedotov861 2022-02-10 01:05:19 UTC
I upgraded to Plasma 5.24 today, and unfortunately the behavior remains the same.
Comment 4 ariasuni 2022-03-15 21:51:43 UTC
Same problem exactly with this configuration:
Operating System: Arch Linux
KDE Plasma Version: 5.24.3
KDE Frameworks Version: 5.92.0
Qt Version: 5.15.3

Also I think that in the past, the animation was in the wrong direction only for the closing, not the opinion, and now both are wrong, but only the first time I open/close KRunner as the other commenter said.
Comment 5 Kai Uwe Broulik 2022-08-02 11:21:10 UTC
Git commit 5bc7efd0d9737c0cc1cbdf04c863a20639d84816 by Kai Uwe Broulik.
Committed on 02/08/2022 at 11:06.
Pushed by broulik into branch 'master'.

KRunner: Set location before showing

Make sure the location is set before showing the window to ensure
the first appearance is animated correctly, too.

M  +1    -3    krunner/view.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/5bc7efd0d9737c0cc1cbdf04c863a20639d84816
Comment 6 Kai Uwe Broulik 2022-08-02 11:36:26 UTC
Git commit eb44145d5797037348462b5e0cae309d20e52d3b by Kai Uwe Broulik.
Committed on 02/08/2022 at 11:36.
Pushed by broulik into branch 'Plasma/5.25'.

KRunner: Set location before showing

Make sure the location is set before showing the window to ensure
the first appearance is animated correctly, too.


(cherry picked from commit 5bc7efd0d9737c0cc1cbdf04c863a20639d84816)

M  +1    -3    krunner/view.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/eb44145d5797037348462b5e0cae309d20e52d3b
Comment 7 Kai Uwe Broulik 2022-08-02 11:36:48 UTC
Git commit 8824f3c5d2f02ccce26d39d3c186d3c202a78933 by Kai Uwe Broulik.
Committed on 02/08/2022 at 11:36.
Pushed by broulik into branch 'Plasma/5.24'.

KRunner: Set location before showing

Make sure the location is set before showing the window to ensure
the first appearance is animated correctly, too.


(cherry picked from commit 5bc7efd0d9737c0cc1cbdf04c863a20639d84816)

(cherry picked from commit eb44145d5797037348462b5e0cae309d20e52d3b)

M  +1    -3    krunner/view.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/8824f3c5d2f02ccce26d39d3c186d3c202a78933
Comment 8 ariasuni 2022-08-22 18:25:33 UTC
Thanks a lot!!